aboutsummaryrefslogtreecommitdiffstats
path: root/contrib
diff options
context:
space:
mode:
authorKoen Kooi <koen@openembedded.org>2009-05-20 19:20:29 +0200
committerKoen Kooi <koen@openembedded.org>2009-05-20 19:20:29 +0200
commit92675b9b59f08eb260dec2fb0e0e762d21a48189 (patch)
treea5b99b7f83b120bd4b5914ee3b30213f412cac6d /contrib
parentf0bc88f53787e3e340b6c3565cbb542467dfd0ba (diff)
downloadopenembedded-92675b9b59f08eb260dec2fb0e0e762d21a48189.tar.gz
angstrom feed sorter: add support for SDKs, x86_64 and new TI machines
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/angstrom/sort.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/contrib/angstrom/sort.sh b/contrib/angstrom/sort.sh
index a1a4882480..e53b3d859f 100755
--- a/contrib/angstrom/sort.sh
+++ b/contrib/angstrom/sort.sh
@@ -48,7 +48,7 @@ case "$arch" in
"armv4t")
machines="micro2440 ep93xx h6300 om-gta01 om-gta02 fic-gta01 fic-gta02" ;;
"armv5te")
- machines="topas910 sheevaplug dm355-leopard n2100 dns323 mv2120 kuropro lspro tsx09 ts409 davinci-dvevm davinci-sffsdr neuros-osd neuros-osd2 gumstix-connex gumstix-verdex gumstix e680 a780 a1200 at91sam9263ek rokre6 rokre2 rokr-e2 akita c7x0 h2200 h3900 h4000 h5000 htcapache htctornado htcblueangel htcuniversal hx4700 nslu2le hx2000 ixp4xxle magician netbook-pro nokia770 palmt650 palmt680 palmld palmtx palmtt3 palmz72 qemuarm omap5912osk poodle spitz tosa" ;;
+ machines="dm6446-evm dm6467-evm dm355-evm dm365-evm dm357-evm topas910 sheevaplug dm355-leopard n2100 dns323 mv2120 kuropro lspro tsx09 ts409 davinci-dvevm davinci-sffsdr neuros-osd neuros-osd2 gumstix-connex gumstix-verdex gumstix e680 a780 a1200 at91sam9263ek rokre6 rokre2 rokr-e2 akita c7x0 h2200 h3900 h4000 h5000 htcapache htctornado htcblueangel htcuniversal hx4700 nslu2le hx2000 ixp4xxle magician netbook-pro nokia770 palmt650 palmt680 palmld palmtx palmtt3 palmz72 qemuarm omap5912osk poodle spitz tosa" ;;
"armv5teb")
machines="ixp4xxbe nslu2be" ;;
"armv6-novfp")
@@ -150,9 +150,10 @@ echo "Processing 'all' feed"
for i in `find . -name "*.ipk"| grep _all` ; do mkdir -p ../all/ || true ;mv $i ../all/ ; done
(mkdir -p ../all ; cd ../all && ipkg-make-index -p Packages -m . >& /dev/null ; touch Packages.sig )
-rm *x86_64*
+mkdir -p ../sdk ; mv *sdk.ipk ../sdk/ || true
+ (mkdir -p ../sdk ; cd ../sdk && ipkg-make-index -p Packages -m . >& /dev/null ; touch Packages.sig )
-for arch in arm-oabi armv4t armv5teb armv5te armv6-novfp armv6 armv7a armv7 avr32 bfin geode i486 i586 i686 iwmmxt ppc405 ppc603e sparc ; do
+for arch in arm-oabi armv4t armv5teb armv5te armv6-novfp armv6 armv7a armv7 avr32 bfin geode i486 i586 i686 iwmmxt ppc405 ppc603e sparc x86_64 ; do
do_sort
done